%define         module_release          alt5.1
%define         module_version          2.3.1
%define         module_name             pentanet
%define         module_source %{module_name}-%{module_version}_021111.tar.gz
%define         module_source_dir %{module_name}-%{module_version}
%define		base_arch %(echo %{_target_cpu} | sed 's/i.86/i386/;s/athlon/i386/')

Name:		kernel-source-%{module_name}
Version:	%{module_version}
Release:	%{module_release}
Summary:	%{module_name} kernel module source code
Summary(ru_RU.KOI8-R):     %{module_name}
License:	GPL
Group:		Development/Kernel
ExclusiveOS:	Linux
Packager:	Denis Ovsienko <pilot@altlinux.ru>
URL:		http://www.pentamedia.com/english/supports/technical-netfile.htm
BuildRequires:	rpm >= 4.0.2-75
Source0:	%{module_source}
Source1:	pentamon
Source2:	pentanet-README.ALT
Source3:	fix_build_alt.patch

%description
This package contains %{module_name} kernel module source code, required for automatic
module build during different flavours kernel builds in ALT Linux.

%description -l ru_RU.KOI8-R
       %{module_name}, 
          ALT Linux.

%prep
%setup -c -n %{module_name}-%{module_version}

%build
%make -C %{module_name}-%{module_version}/apps/libif
%make -C %{module_name}-%{module_version}/apps/libapp
%make -C %{module_name}-%{module_version}/apps/textapp

%install
# tools
%__install -D %{module_name}-%{module_version}/apps/textapp/pentanett %buildroot%_sbindir/pentanett
%__install -D %SOURCE1 %buildroot%_sbindir/pentamon
# tarball
%__mkdir_p %{buildroot}%{_usrsrc}/kernel/sources/
%__mkdir tartmp
pushd tartmp
%__tar xzf %SOURCE0
%__patch -p0 -i %SOURCE3
%__mv %{module_name}-%{module_version} kernel-source-%{module_name}-%{module_version}
%__tar -c kernel-source-%{module_name}-%{module_version} | %__bzip2 -c > \
    %{buildroot}%{_usrsrc}/kernel/sources/kernel-source-%{module_name}-%{module_version}.tar.bz2
popd
%__rm -rf tartmp
%__cp %SOURCE2 README.ALT

%files
%{_usrsrc}/kernel/sources/kernel-source-%{module_name}-%{module_version}.tar.bz2

#--------------------------------------------------------------
%package -n pentanet-tools
Summary: %{module_name} kernel module configuration tools for Pent@NET DVB card
Summary(ru_RU.KOI8-R):     %{module_name}  DVB- Pent@NET
Group: System/Configuration/Hardware
PreReq: kernel-modules-%{module_name}
BuildRequires: kernel-headers-std-up glibc-kernheaders
ExclusiveArch: %{ix86}

%description -n pentanet-tools
This package contains utilities required to configure and monitor Pent@NET
DVB receiver card.

%description -l ru_RU.KOI8-R -n pentanet-tools
   ,      
DVB-ɣ Pent@NET.

%files -n pentanet-tools
%_sbindir/*
%doc %{module_name}-%{module_version}/doc/*
%doc %{module_name}-%{module_version}/{ChangeLog,README,AUTHORS}
%doc README.ALT

%changelog
* Wed Feb 23 2005 LAKostis <lakostis at altlinux.ru> 2.3.1-alt5.1
- fixed build in kernel cvs.

* Mon Jan 03 2005 Denis Ovsienko <pilot@altlinux.ru> 2.3.1-alt5
- moved all net-scripts files to net-scripts-0.5.1 so we can avoid conflict with etcnet
- fixed build error

* Tue Mar 23 2004 Denis Ovsienko <pilot@altlinux.ru> 2.3.1-alt4
- spec cleanup
- moved example configs to docdir

* Fri Jan 23 2004 Denis Ovsienko <pilot@altlinux.ru> 2.3.1-alt3
- macros, deps and text fixes
- README.ALT

* Sun Oct 12 2003 Denis Ovsienko <pilot@altlinux.ru> 2.3.1-alt2
- fixed install calls
- removed version from name
- one more file into docs

* Sat Oct 11 2003 Denis Ovsienko <pilot@altlinux.ru> 2.3.1-alt1
- initial Sisyphus build
